.gallery-block .gallery-holder {
    position: relative;
}
.gallery-block .swiper-button-prev,
.gallery-block .swiper-button-next {
    position: absolute;
    top: 50%;
    width: 54px;
    height: 54px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background: var(--sec);
    transition: 0.3s;
    border: unset;
}
.gallery-block .swiper-button-prev:hover ,
.gallery-block .swiper-button-next:hover {
    background: var(--main);
}
.gallery-block .swiper-button-prev {
    left: -100px;
}
.gallery-block .swiper-button-next {
    right: -100px;
    left: unset;
}
.gallery-block .gallery-img {
    display: flex;
    max-height: 540px;
    box-sizing: border-box;
    position: relative;
    cursor: pointer;
}
.gallery-block .gallery-img:before {
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    background: rgba(0, 0, 0, 0.3);
    pointer-events: none;
    opacity: 0;
    transition: 0.3s;
}
.gallery-block .gallery-img:hover:before {
    opacity: 1;
}
.gallery-block .gallery-img img {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
    aspect-ratio: 1/1;
}

@media (max-width: 1850px) {
    .gallery-block .swiper-button-next {
        right: 15px;
    }
    .gallery-block .swiper-button-prev {
        left: 15px;
    }
}

@media (max-width: 1200px) {
    .gallery-block .gallery-img {
        max-height: 400px;
    }
}

@media (max-width: 600px) {
    .gallery-block .swiper-button-prev,
    .gallery-block .swiper-button-next {
        width: 40px;
        height: 40px;
    }
}

@media (max-width: 498px) {
    .gallery-block .gallery-img {
        max-height: 300px;
    }
}